commit afcc1a8dccf79f86a522d1e0ac3563a66e4cafdd
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Nov 12 01:28:01 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index ec9c881720a..e2eed49a6fb 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,49 @@
+2025-11-11  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2025-11-11  Jakub Jelinek  <jakub@redhat.com>
+
+	PR lto/122620
+	* gimplify-me.cc (gimple_regimplify_operands): Don't try to regimplify
+	TREE_CLOBBER on rhs of gimple_clobber_p if it has gimple_reg_type.
+
+2025-11-11  Lulu Cheng  <chenglulu@loongson.cn>
+
+	Backported from master:
+	2025-11-08  Lulu Cheng  <chenglulu@loongson.cn>
+
+	PR target/122097
+	* config/loongarch/loongarch.cc
+	(loongarch_const_vector_same_bytes_p): Add processing for
+	floating-point vector data.
+
+2025-11-11  Lulu Cheng  <chenglulu@loongson.cn>
+
+	Backported from master:
+	2025-10-29  Lulu Cheng  <chenglulu@loongson.cn>
+
+	PR target/122097
+	* config/loongarch/loongarch.cc
+	(loongarch_const_vector_bitimm_set_p): Add support for vector float.
+	(loongarch_const_vector_bitimm_clr_p): Likewise.
+	(loongarch_print_operand): Likewise.
+	* config/loongarch/simd.md (and<mode>3): Likewise.
+
+2025-11-11  Lulu Cheng  <chenglulu@loongson.cn>
+
+	Backported from master:
+	2025-10-29  Lulu Cheng  <chenglulu@loongson.cn>
+
+	* config/loongarch/lasx.md (xor<mode>3): Delete.
+	(ior<mode>3): Delete.
+	(and<mode>3): Delete.
+	* config/loongarch/lsx.md (xor<mode>3): Delete.
+	(ior<mode>3): Delete.
+	(and<mode>3): Delete.
+	* config/loongarch/simd.md (xor<mode>3): Define.
+	(ior<mode>3): Likewise.
+	(and<mode>3): Likewise.
+
 2025-11-10  Richard Earnshaw  <rearnsha@arm.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 3b87aac7e74..51fb8be9fa5 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251111
+20251112
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index fea1e7fb2a6..53964b29fbd 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2025-11-11  Lulu Cheng  <chenglulu@loongson.cn>
+
+	Backported from master:
+	2025-10-29  Lulu Cheng  <chenglulu@loongson.cn>
+
+	PR target/122097
+	* gcc.target/loongarch/pr122097.c: New test.
+
 2025-11-10  Richard Earnshaw  <rearnsha@arm.com>
 
 	Backported from master:

